org.apache.ignite.internal.managers.encryption

## Class GroupKey

- java.lang.Object
- - org.apache.ignite.internal.managers.encryption.GroupKey

    public class GroupKey
    extends Object

Cache group encryption key with identifier.

### Constructor Summary

Constructors
Constructor and Description
`GroupKey(int id, Serializable key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`byte` `id()`
`Serializable` `key()`
`String` `toString()`
`int` `unsignedId()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GroupKey

    public GroupKey(int id,
                    Serializable key)

Parameters:
  `id` - Encryption key ID.
  `key` - Encryption key.

### Method Detail

#### id

    public byte id()

Returns:
  Encryption key ID.

#### unsignedId

    public int unsignedId()

Returns:
  Unsigned encryption key ID.

#### key

    public Serializable key()

Returns:
  Encryption key.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021